/*  pendu.h - this file is part of Pendu, a simple hangman game written in GTK3+
    Copyright 2011-2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301, USA.
*/

#include "common.h"
#include <locale.h>

#ifndef PENDU_H
#define PENDU_H

#include "levels.h"
#include "stats.h"
#include "dict.h"
#include "settings.h"

void new_game 		(GtkWidget *w, void *p);
void confirm_entry  (GtkWidget *w, void *p);
void exec 			(GtkWidget *w, char *arg);
void about 			(GtkWidget *w, void *p);
void goodbye 		(GtkWidget *w, void *p);

#endif
