/*  settings.h - this file is part of Pendu, a simple hangman game written in GTK3+
    Copyright 2012 RIVIÈRE Aurélien <aurelien.riv@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301, USA.
*/

#include "common.h"
#include "levels.h"

#ifndef SETTINGS_H
#define SETTINGS_H

void create_settings_ui	  (GtkWidget *w, Level *lv);

void switch_value_changed (GtkSwitch *w, GParamSpec *pspec, short *val);
void spin_value_changed   (GtkSpinButton *w, short *val);
void radio_value_changed  (GtkWidget *w, char *lg);


void save_levels_file (Level *lv1, Level *lv2, Level *lv3, Level *lv4);
void ch_cfg_file 	  (short nv, char *lg);

#endif
