#!/bin/bash

echo -n "Updating the translation template (pendu.pot)..."
xgettext $(pwd)/../src/*.c $(pwd)/../src/*.h -o $(pwd)/pendu.pot --keyword=_ --from-code=utf-8
echo "... done."

echo "Updating translations..."

for translation in $(pwd)/*.po;
do
    echo -n "   " $(basename $translation .po)
    msgmerge -U $translation $(pwd)/pendu.pot
done
echo "done."
